summaryrefslogtreecommitdiffstats
path: root/jjb/apex
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-06-02 16:50:54 -0400
committerFeng Pan <fpan@redhat.com>2016-06-02 16:50:54 -0400
commitec737e9f419e9adf34e651f58da6e2e7139d236a (patch)
treef59206d4694049bdef20f4ccc057bc91b016d96f /jjb/apex
parentc6ab52af93686236f4b3e06bb5b832d5616c9bfe (diff)
Apex: Add jinja2 package check and install
Change-Id: I9ea883139333730d9f3d0c77abef459d9f26e94b Signed-off-by: Feng Pan <fpan@redhat.com>
Diffstat (limited to 'jjb/apex')
-rwxr-xr-xjjb/apex/apex-deploy.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/jjb/apex/apex-deploy.sh b/jjb/apex/apex-deploy.sh
index 0d34f1a7a..47ec57289 100755
--- a/jjb/apex/apex-deploy.sh
+++ b/jjb/apex/apex-deploy.sh
@@ -84,6 +84,17 @@ if [[ "$BUILD_DIRECTORY" == *verify* ]]; then
fi
done
+ # Make sure jinja2 is installed
+ for python_pkg in jinja2; do
+ if ! python3.4 -c "import $python_pkg"; then
+ echo "$python_pkg package not found for python3.4, attempting to install..."
+ if ! sudo easy_install-3.4 $python_pkg; then
+ echo -e "Failed to install $python_pkg package for python3.4"
+ exit 1
+ fi
+ fi
+ done
+
if [ -z ${PYTHONPATH:-} ]; then
export PYTHONPATH=${WORKSPACE}/lib/python
else